
body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background: #4fe4dc;
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
}

header {
    padding: 20px 40px;
    background: #4941bd;
    align-items: center;
}
header h1 {
    color: #fff;
    grid-column: span 12;
    text-align: center;
}

header nav {
    grid-column: span 12;
    justify-self:end;
    text-transform: uppercase;
}

header nav a {
    color: #fff;
    margin-left: 10px;
    text-decoration: none;
}

main {
    max-width: 1200px;
    margin: 60px auto;
    padding: 20px;
}

main form {
    text-align: left;
    padding: 30px;

}

main form label {
    color: #000;
    display: block;
    padding: 10px 0px ;

}

main form label.lbl_Loud {
    text-align: center;
    font-size: 24px;
}

main form input {
    display: block;
}

main form input.submit {
    background-color: #4941bd;
    color: #fff;
    display: block;
    margin-top: 15px;
    width: 200px;
    
}

main form input.submit_small {
    background-color: #4941bd;
    color: #fff;
    display: block;
    margin-top: 15px;
    width: 90px;
    
}

main form textarea {
    display:block;
    width: 100%;
    height: Auto;
    text-align: left;
}

main .form-row {
            display: flex;
            gap: 5px; /* space between inputs */
            flex-wrap: wrap; /* allows wrapping on small screens */
        }



main .form-row .city {
            flex: 0 0 30px;
            width: 90px;
        }
main .form-row  .state {
            flex: 0 0 20px; /* fixed width */
            width: 30px;
        }
main .form-row  .zip {
            flex: 0 0 10px; /* fixed width */
            width: 60px;
        }

main .form-row input {
            padding: 0px;
            font-size: 14px;
            box-sizing: border-box; /* ensures padding doesn't break width */
        }

main img {
    grid-column: span 6;
    border-radius: 6px;
}

main img.full {
    grid-column: col-start 4 / span 8;
    width: 100%;
    border-radius: 6px;
}

main img.center {
    grid-column: col-start 5 / span 6;
    width: 50%;
    border-radius: 6px;
}

main a.lhalf {
    grid-column: 2 / span 5;
    width: 100%;
    border-radius: 6px;
}

main a.rhalf {
    grid-column: 7 / span 5;
    width: 100%;
    border-radius: 6px;
}

main .welcome {
    grid-column: 8 / span 5;
}

main h1 {
    grid-column: span 12;
    text-align: center;
    padding-top: 20px;
}

main h2 {
    grid-column: span 12;
    text-align: center;
    font-size: 1.5em;
    padding-top: 20px;
}

main .card {
    grid-column: span 4;
    background: #2da386;
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .cardflx {
    grid-column: span 4;
    background: #2da386;
    display: flex;               /* Enable flexbox */
    justify-content: center;     /* Center horizontally */
    align-items: center;
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .cardfull {
    grid-column: 3 / span 8 ;
    background: #2da386;
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .cardfullflx {
    grid-column: 3 / span 8 ;
    background: #2da386;
    display: flex;               /* Enable flexbox */
    justify-content: center;     /* Center horizontally */
    align-items: center;
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .cardhalf {
    grid-column: span 6 ;
    background: #2da386;
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .cardhalfflx {
    grid-column: span 6 ;
    background: #2da386;
    display: flex;               /* Enable flexbox */
    justify-content: center;     /* Center horizontally */
    align-items: center; 
    padding: 10px 20px;
    border-radius: 6px;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.05) ;
}

main .half {
    grid-column: span 6;
    padding: 10px 20px;
    border-radius: 6px;
}

main .half img {
    max-width: 100%;
}

footer {
    padding: 20px 40px;
    background: #4941bd;
    align-items: center;
}
footer h1 {
    color: #fff;
    grid-column: span 12;
    text-align: center;
}

@media screen and (max-width: 960px) {
    main img {
        grid-column: 2 / span 10;
    }

    main .welcome {
        grid-column: 2 / span 10;
        text-align: center;
    }

    main .card {
        grid-column: 2 / span 10;
        text-align: center;
    }

    main .cardhalf {
        grid-column: 2 / span 10;
        text-align: center;
    }

        main .cardhalfflx {
        grid-column: 2 / span 10;
        text-align: center;
    }

    main .half {
        grid-column: 2 / span 10;
        text-align: center;
    }

    main a.lhalf {
        grid-column: 2 / span 10;
        text-align: center;
    }

    main a.rhalf {
        grid-column: 2 / span 10;
        text-align: center;
    }

    header footer {
        padding: 5px;
    }

    header nav {
        justify-self:left;
    }


    header h1 footer h1 {
        
        text-align: left;
        
    }
}